| Wireshark 4.7.3 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Public Member Functions | Protected Slots | List of all members
ResolvedAddressesDialog Class Reference

Dialog for displaying resolved addresses. More...

`#include <resolved_addresses_dialog.h>`

Inheritance diagram for ResolvedAddressesDialog:

## Public Member Functions
| ResolvedAddressesDialog (QWidget *parent, QString captureFile, wtap *wth)
| Constructs a new ResolvedAddressesDialog object.
| ~ResolvedAddressesDialog ()
| Destroys the ResolvedAddressesDialog object.
Public Member Functions inherited from GeometryStateDialog
| GeometryStateDialog (QWidget *parent, Qt::WindowFlags f=Qt::Window)
| Constructs a new GeometryStateDialog with the specified parent and window flags.
| ~GeometryStateDialog ()
| Save the geometry and splitter state and then destroy the GeometryStateDialog.
void | setWindowModality (Qt::WindowModality windowModality)
| Sets the window modality for the dialog. On non-macOS platforms, this also sets the parent to ensure modal dialogs are always on top of their parent.

## Protected Slots
void | on_cmbDataType_currentIndexChanged (int index)
| Handles the data type combo box index change.
void | on_txtSearchFilter_textChanged (QString text)
| Handles text changes in the search filter.
void | on_cmbPortFilterType_currentIndexChanged (int index)
| Handles the port filter type combo box index change.
void | on_txtPortFilter_textChanged (QString text)
| Handles text changes in the port filter.
void | changeEvent (QEvent *event) override
| Handles state change events.

## Additional Inherited Members
Protected Member Functions inherited from GeometryStateDialog
void | loadGeometry (int width=0, int height=0, const QString &dialog_name=QString())
| Loads the geometry and splitter state for the dialog.
void | loadSplitterState (QSplitter *splitter=nullptr)
| Loads the state of a splitter for the dialog.

## Detailed Description

Dialog for displaying resolved addresses.

## Constructor & Destructor Documentation

## ◆ ResolvedAddressesDialog()

ResolvedAddressesDialog::ResolvedAddressesDialog | ( | QWidget * | parent,
|  | QString | captureFile,
|  | wtap * | wth )
| explicit

Constructs a new ResolvedAddressesDialog object.

Parameters

  parent | The parent widget.
  captureFile | The name of the capture file.
  wth | Pointer to the wiretap context.

## Member Function Documentation

## ◆ changeEvent

void ResolvedAddressesDialog::changeEvent | ( | QEvent * | event | ) |
| override protected slot

Handles state change events.

Parameters

  event | The event object.

## ◆ on_cmbDataType_currentIndexChanged

void ResolvedAddressesDialog::on_cmbDataType_currentIndexChanged | ( | int | index | ) |
| protected slot

Handles the data type combo box index change.

Parameters

  index | The new index.

## ◆ on_cmbPortFilterType_currentIndexChanged

void ResolvedAddressesDialog::on_cmbPortFilterType_currentIndexChanged | ( | int | index | ) |
| protected slot

Handles the port filter type combo box index change.

Parameters

  index | The new index.

## ◆ on_txtPortFilter_textChanged

void ResolvedAddressesDialog::on_txtPortFilter_textChanged | ( | QString | text | ) |
| protected slot

Handles text changes in the port filter.

Parameters

  text | The new filter text.

## ◆ on_txtSearchFilter_textChanged

void ResolvedAddressesDialog::on_txtSearchFilter_textChanged | ( | QString | text | ) |
| protected slot

Handles text changes in the search filter.

Parameters

  text | The new search text.

The documentation for this class was generated from the following files:

- /builds/wireshark/wireshark/ui/qt/resolved_addresses_dialog.h
- /builds/wireshark/wireshark/ui/qt/resolved_addresses_dialog.cpp